body{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    background: #262626;    
}
a{
    text-decoration: none;
}
.btn-creative{
    position: absolute;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
    padding: 15px 30px;
    text-transform: uppercase;
    text-decoration: none;
    color:#fff;
    letter-spacing: 2px;
    font-size: 20px;
}
.btn-creative:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #03a9f4;
    z-index: -1;
    transition: transform 0.5s;
    transform-origin: bottom right;
    transform: scale(0);
}
.btn-creative:hover:before
{
    transition: transform 0.5s;
    transform-origin: top left;
    transform: scale(1);
}
.btn-creative:after{
    content: '';
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    border: 2px solid #fff;
    z-index: -1;
    transition: transform 0.5s;
    box-sizing: border-box;
    transform-origin: bottom right;
}
.btn-creative:hover:after{
    transition: transform 0.5s;
    transform-origin: bottom right;
    transform: scale(0);
}